Skip to main content
POST
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
invoices
Get invoices
curl --request POST \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": [
    {
      "field": "invoiceDate",
      "operation": "IN",
      "value": "<unknown>"
    }
  ]
}
'
{
  "items": [
    {
      "type": "ENERGY_FUEL_INVOICE",
      "id": "<string>",
      "ocrStatus": "NOT_STARTED",
      "name": "<string>",
      "date": "2023-12-25",
      "netCost": 123,
      "grossCost": 123,
      "taxRate": 123
    }
  ],
  "pagination": {
    "pageSize": 100,
    "pageNumber": 0,
    "totalEntries": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json
pagination
object

Request what page is wanted to be retrieved

filters
object[]

Response

Invoices that the filters apply to

items
object[]
required

List of invoices

pagination
object
required